

<%@page import="javax.portlet.MimeResponse"%>
<%@page import="org.w3c.dom.Element"%>
<%@page import="it.tref.liferay.mapit.constants.PortletConfiguration"%>
<%@page import="com.liferay.portal.kernel.messaging.Message"%>
<%@page import="it.tref.liferay.mapit.util.MapFeatureUtil"%>
<%@page import="com.liferay.portal.kernel.messaging.MessageBusUtil"%>
<%@page import="com.liferay.portal.kernel.search.Field"%>
<%@page import="it.tref.liferay.mapit.plugin.event.MapItPluginEvent.MapItPluginEventType"%>
<%@page import="it.tref.liferay.mapit.map.util.MapItPluginEventUtil"%>
<%@page import="com.liferay.portal.kernel.util.GetterUtil"%>
<%@page import="com.liferay.portal.service.ServiceContext"%>
<%@page import="com.liferay.portal.service.ServiceContextFactory"%>

<%@include file="/html/init.jsp" %>

<%

try{
	Element metaKeywords = renderResponse.createElement("base");
	metaKeywords.setAttribute("target", "_parent");
	renderResponse.addProperty(MimeResponse.MARKUP_HEAD_ELEMENT, metaKeywords);
}catch(Exception e){
}

String content = StringPool.BLANK;

long classNameId = ParamUtil.getLong(request, "classNameId");
long classPK = ParamUtil.getLong(request, "classPK");

if (Validator.isNotNull(classNameId) && Validator.isNotNull(classPK)) {

  String[] pluginIds =
      StringUtil.split(portletPreferences.getValue(PortletConfiguration.PLUGIN_IDS, StringPool.BLANK));

  String[] destinationNames =
      MapItPluginEventUtil.getDestinationNames(pluginIds, MapItPluginEventType.ON_FEATURE_CLICK);

  if (destinationNames.length > 0) {

    Message message = new Message();

    message.put(Field.COMPANY_ID, company.getCompanyId());
    message.put(Field.GROUP_ID, scopeGroupId);

    message.put(Field.CLASS_PK, classPK);
    message.put(Field.CLASS_NAME_ID, classNameId);
    
    message.put("pageContext", pageContext);

    content = (String) MessageBusUtil.sendSynchronousMessage(destinationNames[0], message, 1);
  } else {
    
    String[] destinationNamesIcon = MapFeatureUtil.getMapitServiceDestination(renderRequest,
        MapItPluginEventType.ON_ICON_DISPLAY);
    
    content = MapFeatureUtil.getHTMLPopup(classNameId, classPK, renderRequest, renderResponse, destinationNamesIcon);
  }
}

%>

<style>
body {
  background-color: #FFF !important;
}
</style>

<div id="iframe-content">
	<%= content %>
</div>

<aui:script>
Liferay.provide(
	window,
	'<portlet:namespace />openFeaturePopup',
	function(title, url) {
	 	Liferay.Util.openWindow({
	 		title: title,
		    uri: url,
		    destroyOnHide: true
	 	});
	},
	['liferay-util-window']
);
</aui:script>
